petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCCompositeGetPC

Gets one of the PC objects in the composite PC.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCCompositeGetPC(PC pc,PetscInt n,PC *subpc)

Not Collective Many br

### Input Parameter

| pc | - the preconditioner context Many br
| n | - the number of the pc requested Many br

### Output Parameters

subpc -the PC requested Many br

Many br

### Keywords

PC, get, composite preconditioner, sub preconditioner

### See Also

PCCompositeAddPC(), PCCompositeGetNumberPC()

Level:Developer
Location:src/ksp/pc/impls/composite/composite.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages